import { HttpClient } from '@angular/common/http';
import { HostnameContainerModel } from '../../../../../models/aggregates/hostname';
import { BaseApiTemplateService } from '../shared/base-api-template-service.model';
import { ApiResponseModel, ApiVisa } from '..';
import { Observable } from 'rxjs';
import { app_hostname_ext_RowClass } from '../../../../../models/dbschema/app_hostname_ext.model';
import { Pagination, PagingResponseModel } from './../shared';
export declare class HostnameService extends BaseApiTemplateService<HostnameContainerModel> {
    readonly url: string;
    constructor(http: HttpClient);
    getImageDetailsByGuid(imageGuid: any, visa: ApiVisa): Observable<Object>;
    getFileByGuid(extGuid: string, visa: ApiVisa): Observable<Blob>;
    /** File Attachment related */
    addImageAttachment(subjectGuid: string, formData: FormData, visa: ApiVisa, imageType: string): Observable<ApiResponseModel<app_hostname_ext_RowClass>>;
    /** Value string related */
    addStringAttachment(subjectGuid: string, value: string, visa: ApiVisa, imageType: string): Observable<ApiResponseModel<app_hostname_ext_RowClass>>;
    editImageAttachment(subjectGuid: string, formData: FormData, visa: ApiVisa): Observable<Object>;
    deleteFile(extensionGuid: any, visa: ApiVisa): Observable<Object>;
    getAllHostname(visa: ApiVisa): Observable<ApiResponseModel<HostnameContainerModel>>;
    getByCriteriaSysAdmin(pagination: Pagination, visa: ApiVisa): Observable<PagingResponseModel<HostnameContainerModel>>;
}
